| Flutter macOS Embedder |

Public Member Functions | Public Attributes | List of all members
flutter::StreamHandlerError< T > Struct Template Reference

`#include <event_stream_handler.h>`

## Public Member Functions
| StreamHandlerError (const std::string &error_code, const std::string &error_message, std::unique_ptr< T > &&error_details)

## Public Attributes
const std::string | error_code
const std::string | error_message
const std::unique_ptr< T > | error_details

## Detailed Description

### template<typename T = EncodableValue>
struct flutter::StreamHandlerError< T >

Definition at line 18 of file event_stream_handler.h.

## Constructor & Destructor Documentation

## ◆ StreamHandlerError()

template<typename T = EncodableValue>

flutter::StreamHandlerError< T >::StreamHandlerError | ( | const std::string & | error_code,
|  | const std::string & | error_message,
|  | std::unique_ptr< T > && | error_details
| ) |  |
| inline

Definition at line 23 of file event_stream_handler.h.

26 : error_code(error_code),
27 error_message(error_message),
28 error_details(std::move(error_details)) {}
flutter::StreamHandlerError::error_code
const std::string error_code
Definition: event_stream_handler.h:19
flutter::StreamHandlerError::error_message
const std::string error_message
Definition: event_stream_handler.h:20
flutter::StreamHandlerError::error_details
const std::unique_ptr< T > error_details
Definition: event_stream_handler.h:21

## Member Data Documentation

## ◆ error_code

template<typename T = EncodableValue>

const std::string flutter::StreamHandlerError< T >::error_code

Definition at line 19 of file event_stream_handler.h.

## ◆ error_details

template<typename T = EncodableValue>

const std::unique_ptr<T> flutter::StreamHandlerError< T >::error_details

Definition at line 21 of file event_stream_handler.h.

## ◆ error_message

template<typename T = EncodableValue>

const std::string flutter::StreamHandlerError< T >::error_message

Definition at line 20 of file event_stream_handler.h.

The documentation for this struct was generated from the following file:

- shell/platform/common/client_wrapper/include/flutter/event_stream_handler.h